<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('PO_details', function (Blueprint $table) {
            $table->String('ControlNum');
            $table->String('HeaderCtrlNum');
            $table->String('TaxCtrlNum');
            $table->decimal('TaxQty',3,2);
            $table->String('ProductCtrlNum',9,2);
            $table->decimal('Qty',9,2);
            $table->decimal('ItemAmt',12,2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('PO_details');
    }
};
